
Redmine - Defect #6817

Identical creation date/time skew search results

2010-11-03 17:20 - Johnny G

Status: Closed Start date: 2010-11-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hello,

I have encountered a bug after importing data from our old tracking system to Redmine.  Many of the entries have an identical

creation date/time stamp (2002-06-28 07:39:41), and when I go to search for a keyword using the upper-right Redmine search, it

does not display all of the results.  For one query, the page reads Results (161) but will only display 140 results.  I have seen the

same outcome while searching for other subject/description keywords, and have confirmed in the actual database that there are in

fact more rows than it is displaying.

The data I imported was sorted by creation date.  This is NOT an issue when using Issues' filters (it is able to find and displays all

rows), this only happens when using the upper-right search.

Many thanks,

System Configuration:

Ubuntu v. 10.4

Redmine v. 1.0.3 (this also existed under 1.0.2)

Rails v. 2.3.5

mysql v. 5.1.41

Apache 2.2.14

Passenger v.2.2.15

Related issues:

Related to Redmine - Feature #18631: Better search results pagination Closed

History

#1 - 2010-11-07 15:35 - Jean-Philippe Lang

- Subject changed from Identical creation date/time skew upper-right search results to Identical creation date/time skew search results

- Category set to Search engine

#2 - 2014-12-12 21:55 - Jean-Philippe Lang

- Related to Feature #18631: Better search results pagination added

#3 - 2019-11-25 03:25 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed in Redmine 3.0.0 (#6817).
